Gecode::Int::Circuit Namespace Reference

Circuit propagators More...

## Classes

class | Base
| Base-class for circuit propagator. More...
class | Val
| "Value-consistent" circuit propagator More...
class | Dom
| "Domain consistent" circuit propagator More...
class | NodeInfo
| Information required for non-recursive checking for a single scc. More...
class | TellInfo
| Information for performing a recorded tell. More...

## Detailed Description

Circuit propagators